Bug 852214

Summary: Review Request: overpass-fonts - Typeface based on the U.S. interstate highway road signage type system
Product: [Fedora] Fedora Reporter: Tom "spot" Callaway <tcallawa>
Component: Package ReviewAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fonts-bugs, mario.blaettermann, notting, package-review, paul, rlandman
Target Milestone: ---Flags: mario.blaettermann: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-15 10:19:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tom "spot" Callaway 2012-08-27 21:29:54 UTC
Spec URL: http://spot.fedorapeople.org/overpass-fonts.spec
SRPM URL: http://spot.fedorapeople.org/overpass-fonts-1.01-1.fc18.src.rpm
Description: 
Free & open source typeface based on the U.S. interstate highway road signage
type system; it is sans-serif and suitable for both body and titling text.
Fedora Account System Username: spot

Comment 1 Mario Blättermann 2012-09-22 17:12:17 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4513813

$ rpmlint -i -v *
overpass-fonts.noarch: I: checking
overpass-fonts.noarch: I: checking-url https://fedorahosted.org/overpass-fonts/ (timeout 10 seconds)
overpass-fonts.src: I: checking
overpass-fonts.src: I: checking-url https://fedorahosted.org/overpass-fonts/ (timeout 10 seconds)
overpass-fonts.src:31: W: mixed-use-of-spaces-and-tabs (spaces: line 31, tab: line 4)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

overpass-fonts.src: I: checking-url https://fedorahosted.org/releases/o/v/overpass-fonts/Overpass-Fonts-1.01.tar.gz (timeout 10 seconds)
overpass-fonts.spec:31: W: mixed-use-of-spaces-and-tabs (spaces: line 31, tab: line 4)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

overpass-fonts.spec: I: checking-url https://fedorahosted.org/releases/o/v/overpass-fonts/Overpass-Fonts-1.01.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.


Please don't mix spaces and tabs. I'm sure I don't have to explain it to you in particular ;)

Comment 2 Tom "spot" Callaway 2012-09-24 14:20:22 UTC
Fixed Spec URL: http://spot.fedorapeople.org/overpass-fonts.spec
Fixed SRPM URL: http://spot.fedorapeople.org/overpass-fonts-1.01-2.fc18.src.rpm

I blame senility! :)

Comment 3 Mario Blättermann 2012-09-25 18:26:53 UTC
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4525611

$ rpmlint -i -v *
overpass-fonts.noarch: I: checking
overpass-fonts.noarch: I: checking-url https://fedorahosted.org/overpass-fonts/ (timeout 10 seconds)
overpass-fonts.src: I: checking
overpass-fonts.src: I: checking-url https://fedorahosted.org/overpass-fonts/ (timeout 10 seconds)
overpass-fonts.src: I: checking-url https://fedorahosted.org/releases/o/v/overpass-fonts/Overpass-Fonts-1.01.tar.gz (timeout 10 seconds)
(none): E: no installed packages by name Overpass-Fonts-1.01.tar.gz
overpass-fonts.spec: I: checking-url https://fedorahosted.org/releases/o/v/overpass-fonts/Overpass-Fonts-1.01.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues so far.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    OFL
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    5eda3d846dbacbbf9fe9167c0b365d0007d637ecc98b4b7d0e6490330f215abc  Overpass-Fonts-1.01.tar.gz
    5eda3d846dbacbbf9fe9167c0b365d0007d637ecc98b4b7d0e6490330f215abc  Overpass-Fonts-1.01.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
    Guaranteed by the use of %_font_pkg

[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
    Tested on f17 (local build), works as expected.

[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


From https://fedoraproject.org/wiki/Simple_fonts_spec_template:
"Font descriptions must detail information on the font style, Unicode coverage..."

Regarding the latter, the description is somewhat vague; the unicode abilities should be reflected. Not a review blocker in my mind, but worth to think about it.

----------------

PACKAGE APPROVED

----------------

Comment 4 Tom "spot" Callaway 2012-10-08 17:24:39 UTC
New Package SCM Request
=======================
Package Name: overpass-fonts
Short Description: Typeface based on the U.S. interstate highway road signage type system
Owners: spot
Branches: f16 f17 f18
InitialCC:

Comment 5 Gwyn Ciesla 2012-10-09 10:56:50 UTC
Git done (by process-git-requests).

Comment 6 Paul Flo Williams 2012-10-10 15:00:36 UTC
Package Change Request
======================
Package Name: overpass-fonts
Branches: f16 f17 f18 devel
InitialCC: fonts-sig

I'd like the Fonts SIG to be notified of changes to this package in all active branches, including Rawhide.

Comment 7 Gwyn Ciesla 2012-10-10 15:06:08 UTC
Complete.

Comment 8 Fedora Update System 2012-10-23 16:23:14 UTC
overpass-fonts-1.01-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/overpass-fonts-1.01-2.fc17

Comment 9 Fedora Update System 2012-10-23 16:23:26 UTC
overpass-fonts-1.01-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/overpass-fonts-1.01-2.fc16

Comment 10 Fedora Update System 2012-10-23 16:23:38 UTC
overpass-fonts-1.01-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/overpass-fonts-1.01-2.fc18

Comment 11 Fedora Update System 2012-10-23 19:44:52 UTC
overpass-fonts-1.01-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Mario Blättermann 2012-11-15 10:19:04 UTC
Packages for all requested branches are marked as stable now.

Comment 13 Ruediger Landmann 2013-06-07 04:08:20 UTC
Package Change Request
======================
Package Name: overpass-fonts
New Branches: el6
Owners: rlandmann

Comment 14 Gwyn Ciesla 2013-06-07 12:48:22 UTC
I assume spot has OKd this?

Comment 15 Ruediger Landmann 2013-06-17 00:53:57 UTC
(In reply to Jon Ciesla from comment #14)
> I assume spot has OKd this?

Yes, via email:

"I'm fine with that.

~tom"

Comment 16 Gwyn Ciesla 2013-06-17 12:14:41 UTC
Git done (by process-git-requests).